﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var calendarInfo = this.ultraDayView1.CalendarInfo;
            var ownerA = calendarInfo.Owners.Add("Owner A");
            var ownerB = calendarInfo.Owners.Add("Owner B");

            var startDateTime = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 9, 0, 0);
            var endDateTime = startDateTime.AddHours(1);

            var appt = calendarInfo.Appointments.Add(startDateTime, "Appt1");
            appt.Owner = ownerA;

            appt = calendarInfo.Appointments.Add(startDateTime, "Appt2");
            appt.Owner = ownerB;

            this.ultraDayView1.ShowOwnerHeader = Infragistics.Win.DefaultableBoolean.True;
            this.ultraDayView1.GroupingStyle = Infragistics.Win.UltraWinSchedule.DayViewGroupingStyle.DateWithinOwner;

            this.ultraDayView1.CalendarLook.ViewStyle = Infragistics.Win.UltraWinSchedule.ViewStyle.Office2007;

            
        }
    }
}
